Package org.eclipse.emf.compare.ide.ui.internal.logical

## Class AdditiveResourceMappingMerger

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.EMFResourceMappingMerger
  - - org.eclipse.emf.compare.ide.ui.internal.logical.AdditiveResourceMappingMerger

All Implemented Interfaces:
  `IAdditiveResourceMappingMerger`, `org.eclipse.team.core.mapping.IResourceMappingMerger`

    public class AdditiveResourceMappingMerger
    extends EMFResourceMappingMerger
    implements IAdditiveResourceMappingMerger

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.EMFResourceMappingMerger

`EMFResourceMappingMerger.ResourceAdditionAndDeletionTracker`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.EMFResourceMappingMerger

`MERGER_REGISTRY`

### Constructor Summary

Constructors
`AdditiveResourceMappingMerger()`

### Method Summary

All Methods Instance Methods Concrete Methods

`protected void`

`delegateMergeOfUnmergedResourcesAndMarkDiffsAsMerged​(SynchronizationModel syncModel, org.eclipse.team.core.mapping.IMergeContext mergeContext, EMFResourceMappingMerger.ResourceAdditionAndDeletionTracker resourceTracker, org.eclipse.core.runtime.SubMonitor subMonitor)`

Delegates the merge of so far non-merged resource additions and deletions and marks all other already merged resources as merged.

`protected void` `mergeMapping​(org.eclipse.core.resources.mapping.ResourceMapping mapping, org.eclipse.team.core.mapping.IMergeContext mergeContext, Set<org.eclipse.core.resources.mapping.ResourceMapping> failingMappings, org.eclipse.core.runtime.IProgressMonitor monitor)` Merges one mapping.

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.EMFResourceMappingMerger

`collectConflictingResources, doMergeForDiff, getMergeRule, markAsMerged, markResourcesAsMerged, merge, merge, removeNonExistingStorages, save, validateMerge`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.team.core.mapping.IResourceMappingMerger

`getMergeRule, merge, validateMerge`

### Constructor Detail

#### AdditiveResourceMappingMerger

    public AdditiveResourceMappingMerger()

### Method Detail

#### mergeMapping

    protected void mergeMapping​(org.eclipse.core.resources.mapping.ResourceMapping mapping,
                                org.eclipse.team.core.mapping.IMergeContext mergeContext,
                                Set<org.eclipse.core.resources.mapping.ResourceMapping> failingMappings,
                                org.eclipse.core.runtime.IProgressMonitor monitor)
                         throws org.eclipse.core.runtime.CoreException

Description copied from class: `EMFResourceMappingMerger`
Merges one mapping.

Overrides:
  `mergeMapping` in class `EMFResourceMappingMerger`
Parameters:
  `mapping` - The mapping to merge
  `mergeContext` - The merge context
  `failingMappings` - The set of failing mappings
  `monitor` - The progress monitor to use, 10 ticks will be consumed
Throws:
  `org.eclipse.core.runtime.CoreException`

#### delegateMergeOfUnmergedResourcesAndMarkDiffsAsMerged

    protected void delegateMergeOfUnmergedResourcesAndMarkDiffsAsMerged​(SynchronizationModel syncModel,
                                                                        org.eclipse.team.core.mapping.IMergeContext mergeContext,
                                                                        EMFResourceMappingMerger.ResourceAdditionAndDeletionTracker resourceTracker,
                                                                        org.eclipse.core.runtime.SubMonitor subMonitor)
                                                                 throws org.eclipse.core.runtime.CoreException

Description copied from class: `EMFResourceMappingMerger`
Delegates the merge of so far non-merged resource additions and deletions and marks all other already merged resources as merged.

Overrides:
  `delegateMergeOfUnmergedResourcesAndMarkDiffsAsMerged` in class `EMFResourceMappingMerger`
Parameters:
  `syncModel` - The synchronization model to obtain the storages.
  `mergeContext` - The merge context.
  `resourceTracker` - The tracker that tracked already merged file additions and deletions.
  `subMonitor` - The progress monitor to use.
Throws:
  `org.eclipse.core.runtime.CoreException`